> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Job to Export Items and Variants

> Use this endpoint to trigger a job to export items and variants based on the specified filter conditions.



## OpenAPI

````yaml files-jobs.openapi post /product-jobs/actions/filter-export
openapi: 3.0.0
info:
  description: >-
    fabric's **Files** and **Jobs** APIs support bulk import and export of
    items, attributes, and bundles. To begin with importing, download the
    appropriate template for the specific `type` of import. A standardized
    template ensures consistency in data structure and formatting. It also helps
    enforce data validation rules to ensure imported data meets the specified
    criteria and reduces the chance of incorrect and inaccurate information.
    Once you have completed filling out the import details in the template, add
    the file name and `type` in the request body of the `POST /files/product`
    endpoint. The response will provide you with the URL where you can upload
    the file for importing. After successfully importing the file, you can use
    the job exports endpoints to export the imported products and attributes
    based on specified criteria.
  title: Products - Files and Jobs
  version: 3.0.0
  x-audience: external-public
  contact:
    email: support@fabric.inc
    name: Product team
  license:
    name: fabric API License
    url: https://fabric.inc/api-license
  termsOfService: https://fabric.inc/terms-of-use
servers:
  - url: https://api.fabric.inc/v3
    description: Production URL
security:
  - authorization: []
tags:
  - name: Files
    description: >-
      Files endpoints interact with the file object, which is associated with
      (and points to) a job.
  - name: Jobs
    description: >-
      Bulk import of attributes must be in a standardized format. This endpoint
      gets the template required to bulk import attributes.
externalDocs:
  description: Find out more about Products (previously called PIM)
  url: https://developer.fabric.inc/docs/products-overview
paths:
  /product-jobs/actions/filter-export:
    post:
      tags:
        - Jobs
      summary: Initiate Job to Export Items and Variants
      description: >-
        Use this endpoint to trigger a job to export items and variants based on
        the specified filter conditions.
      operationId: exportProductsJobFilter
      parameters:
        - $ref: '#/components/parameters/x-fabric-tenant-id'
        - $ref: '#/components/parameters/x-fabric-request-id'
      requestBody:
        $ref: '#/components/requestBodies/exportJobRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/jobIdResponse'
          headers:
            x-fabric-request-id:
              $ref: '#/components/headers/x-fabric-request-id-header'
        '400':
          $ref: '#/components/responses/badRequest'
        '401':
          $ref: '#/components/responses/notAuthorized'
        '403':
          $ref: '#/components/responses/forbidden'
        '500':
          $ref: '#/components/responses/internalServerError'
components:
  parameters:
    x-fabric-tenant-id:
      name: x-fabric-tenant-id
      in: header
      description: >-
        A header used by fabric to identify the tenant making the request. You
        must include tenant id in the authentication header for an API request
        to access any of fabric’s endpoints. You can retrieve the tenant id ,
        which is also called account id, from
        [Copilot](/v3/platform/settings/account-details/getting-the-account-id).
        This header is required.
      schema:
        type: string
        example: 517fa9dfd42d8b00g1o3k312
    x-fabric-request-id:
      name: x-fabric-request-id
      in: header
      description: Unique request ID
      schema:
        type: string
        example: 263e731c-45c8-11ed-b878-0242ac120002
      required: false
  requestBodies:
    exportJobRequest:
      content:
        application/json:
          schema:
            description: >-
              Export job request based on the filter conditions applied for
              attributes, category, collections, items or bundles.
            anyOf:
              - $ref: '#/components/schemas/exportAttributesByFiltersRequest'
              - $ref: '#/components/schemas/exportFilteredProductsJobRequest'
              - $ref: '#/components/schemas/exportSearchCollectionRequest'
              - $ref: '#/components/schemas/exportSearchCategoryRequest'
          examples:
            AttributeFilter:
              value:
                type: ATTRIBUTE
                match:
                  name:
                    locale:
                      - en-US
                    op: CONTAINS
                    value: size
                  target:
                    op: EQUALS
                    value: CATEGORY
                  isMandatory:
                    op: EQUALS
                    value: true
            CategoryFilter:
              value:
                type: CATEGORY
                match:
                  name:
                    locale:
                      - en-US
                    op: CONTAINS
                    value: shoes
                  attribute:
                    - id: 5f328bf0b5f328bf0b5f328b
                      value:
                        - op: EQUALS
                          value: thirty
                  isLeaf:
                    op: EQUALS
                    value: true
            CollectionsFilter:
              value:
                type: COLLECTION
                match:
                  name:
                    locale:
                      - en-US
                    op: CONTAINS
                    value: Flash Sale
                  categoryIdsIncluded:
                    op: EQUALS
                    value: 5f328bf0b5f328bf0b5f328b
            ProductsFilter:
              value:
                type: PRODUCT
                match:
                  sku:
                    op: EQUALS
                    value: FCP_SAMPLE_SKU
                  status:
                    op: EQUALS
                    value: LIVE
  schemas:
    jobIdResponse:
      type: object
      description: Job ID for the exported job
      properties:
        jobId:
          type: string
          description: 24-character system-generated job ID
          example: 877f1f77bcf86cd799439087
    exportAttributesByFiltersRequest:
      type: object
      additionalProperties: false
      required:
        - match
        - type
      properties:
        type:
          type: string
          enum:
            - ATTRIBUTE
          description: Type of entity to be exported.
          example: ATTRIBUTE
        match:
          description: Filter conditions to export attributes
          type: object
          minProperties: 1
          properties:
            id:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            name:
              allOf:
                - $ref: '#/components/schemas/stringSearchOperation'
              type: object
              description: >-
                Search criteria to find attributes. Append locale and name with
                a `#` as a value.
              properties:
                locale:
                  type: array
                  description: >-
                    If `isLocalizable` is true, the search is based on the
                    localized name in the specified locales. If `isLocalizable`
                    is false, the search is only based on the non-localized
                    names.
                  items:
                    type: string
                    description: Locale
                    example: en_US
            description:
              $ref: '#/components/schemas/stringSearchOperation'
            isLocalizable:
              $ref: '#/components/schemas/booleanSearchOperation'
            isMandatory:
              $ref: '#/components/schemas/booleanSearchOperation'
            isManualOverwrite:
              $ref: '#/components/schemas/booleanSearchOperation'
            isFormulaSet:
              $ref: '#/components/schemas/booleanSearchOperation'
            isCustomFormulaSet:
              $ref: '#/components/schemas/booleanSearchOperation'
            target:
              anyOf:
                - $ref: '#/components/schemas/singleTarget'
                - $ref: '#/components/schemas/multiTarget'
            type:
              anyOf:
                - $ref: '#/components/schemas/singleType'
                - $ref: '#/components/schemas/multiType'
            subType:
              anyOf:
                - $ref: '#/components/schemas/singleSubType'
                - $ref: '#/components/schemas/multiSubType'
            createdAt:
              $ref: '#/components/schemas/datetimeSearchOperation'
            updatedAt:
              $ref: '#/components/schemas/datetimeSearchOperation'
    exportFilteredProductsJobRequest:
      type: object
      additionalProperties: false
      description: Export based on applied filter conditions
      required:
        - match
        - type
      properties:
        type:
          type: string
          enum:
            - PRODUCT
          description: >-
            Type of entity to be exported, such as products. Products include
            items, variants, and bundles.
          example: PRODUCT
        match:
          description: Filter conditions based on which products will be exported
          type: object
          minProperties: 1
          properties:
            id:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            sku:
              $ref: '#/components/schemas/stringSearchOperation'
            type:
              anyOf:
                - $ref: '#/components/schemas/singleProductType'
                - $ref: '#/components/schemas/multiProductType'
            categoryId:
              type: array
              description: 24-character system-generated category ID
              items:
                $ref: '#/components/schemas/simpleStringSearchOperation'
            hasDraft:
              $ref: '#/components/schemas/booleanSearchOperation'
            hasLive:
              $ref: '#/components/schemas/booleanSearchOperation'
            status:
              oneOf:
                - $ref: '#/components/schemas/singleStatusSearchSchema'
            properties:
              description: >-
                Searches based on multiple values. The values must be a
                combination of `id` and boolean `value`.
              type: array
              items:
                $ref: '#/components/schemas/productAttributeValueSearch'
            variantIds:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            bundleProductIds:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            createdAt:
              $ref: '#/components/schemas/datetimeSearchOperation'
            updatedAt:
              $ref: '#/components/schemas/datetimeSearchOperation'
            createdBy:
              $ref: '#/components/schemas/simpleStringSearchOperation'
    exportSearchCollectionRequest:
      type: object
      example:
        type: COLLECTION
        match:
          name:
            locale:
              - en-US
            op: CONTAINS
            value: Flash Sale
          categoryIdsIncluded:
            op: EQUALS
            value: 5f328bf0b5f328bf0b5f328b
      additionalProperties: false
      required:
        - match
        - type
      properties:
        type:
          type: string
          enum:
            - COLLECTION
          description: Entity type for export
          example: COLLECTION
        match:
          description: Filter conditions to narrow down collections
          type: object
          minProperties: 1
          properties:
            id:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            name:
              allOf:
                - $ref: '#/components/schemas/stringSearchOperation'
              type: object
              description: >-
                Searches for attributes based on the applied filter conditions.
                Append locale and name with a `#` as a value
              properties:
                locale:
                  type: array
                  description: >-
                    If `isLocalizable` is true, searches for the localized name
                    in the specified locales. If `isLocalizable` is false, the
                    search is only based on the non-localized names.
                  items:
                    type: string
                    description: Locale
                    example: en_US
            isLocalizable:
              $ref: '#/components/schemas/booleanSearchOperation'
            isRoot:
              $ref: '#/components/schemas/booleanSearchOperation'
            isLeaf:
              $ref: '#/components/schemas/booleanSearchOperation'
            attribute:
              type: array
              items:
                $ref: '#/components/schemas/attributeSearchOperation'
            categoryIdsIncluded:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            categoryIdsExcluded:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            productAttributeIdsFilter:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            updatedBy:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            createdAt:
              $ref: '#/components/schemas/datetimeSearchOperation'
            updatedAt:
              $ref: '#/components/schemas/datetimeSearchOperation'
    exportSearchCategoryRequest:
      type: object
      example:
        type: CATEGORY
        match:
          name:
            locale:
              - en-US
            op: CONTAINS
            value: shoes
          attribute:
            - id: 5f328bf0b5f328bf0b5f328b
              value:
                - op: EQUALS
                  value: thirty
          isLeaf:
            op: EQUALS
            value: true
      required:
        - match
        - type
      additionalProperties: false
      properties:
        type:
          type: string
          enum:
            - CATEGORY
          description: Type of entity to be exported
          example: CATEGORY
        match:
          description: Filter criteria to export categories
          type: object
          minProperties: 1
          properties:
            id:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            name:
              allOf:
                - $ref: '#/components/schemas/stringSearchOperation'
              type: object
              description: >-
                Search criteria to find attributes. Append locale and name with
                a `#` as a value.
              properties:
                locale:
                  type: array
                  description: >-
                    If `isLocalizable` is true, the search is based on the
                    localized name in specified locales. If `isLocalizable` is
                    false, the search is only based on the non-localized names.
                  items:
                    type: string
                    description: Locale
                    example: en_US
            isLocalizable:
              $ref: '#/components/schemas/booleanSearchOperation'
            isRoot:
              $ref: '#/components/schemas/booleanSearchOperation'
            isLeaf:
              $ref: '#/components/schemas/booleanSearchOperation'
            attribute:
              type: array
              items:
                $ref: '#/components/schemas/attributeSearchOperation'
            productIds:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            productAttributeIds:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            hasProductAttributeMandatory:
              $ref: '#/components/schemas/booleanSearchOperation'
            updatedBy:
              $ref: '#/components/schemas/simpleStringSearchOperation'
            createdAt:
              $ref: '#/components/schemas/datetimeSearchOperation'
            updatedAt:
              $ref: '#/components/schemas/datetimeSearchOperation'
    genericError:
      type: object
      description: Error details
      properties:
        message:
          type: string
          description: Placeholder error message for all the 4xx, 5xx errors
          example: Request is invalid
        type:
          type: string
          description: Placeholder error type for all the 4xx, 5xx errors
          example: Bad request
        errors:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                description: Error type
                example: CLIENT_ERROR
              message:
                type: string
                description: Error message
                example: Invalid request. Unable to find/create product
    simpleStringSearchOperation:
      type: object
      description: Simple string search
      anyOf:
        - $ref: '#/components/schemas/simpleMultiStringSearchOperation'
        - $ref: '#/components/schemas/simpleSingleStringSearchOperation'
    stringSearchOperation:
      type: object
      description: String search
      anyOf:
        - $ref: '#/components/schemas/simpleMultiStringSearchOperation'
        - $ref: '#/components/schemas/singleStringSearchOperation'
    booleanSearchOperation:
      type: object
      description: Boolean search
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations that can be performed on a `boolean` type
          example: EQUALS
          enum:
            - EQUALS
        value:
          $ref: '#/components/schemas/booleanSchema'
    singleTarget:
      type: object
      description: Export criteria - single target
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations supported on a `string` type.
          example: EQUALS
          enum:
            - EQUALS
        value:
          $ref: '#/components/schemas/targetValue'
    multiTarget:
      type: object
      description: Export criteria - multiple targets
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations performed on a `string` type
          example: IN
          enum:
            - IN
        value:
          type: array
          items:
            $ref: '#/components/schemas/targetValue'
    singleType:
      description: Export criteria - single type
      type: object
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations supported on a `string` type
          example: EQUALS
          enum:
            - EQUALS
        value:
          $ref: '#/components/schemas/typeValue'
    multiType:
      description: Export criteria - multi-type
      type: object
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations supported on a `string` type
          example: IN
          enum:
            - IN
        value:
          type: array
          items:
            $ref: '#/components/schemas/typeValue'
    singleSubType:
      description: Searches for attribute of the specified `subType`
      type: object
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations that can be performed on a `string` type
          example: EQUALS
          enum:
            - EQUALS
        value:
          $ref: '#/components/schemas/subTypeValue'
    multiSubType:
      description: Searches for attributes of the specified `subType`
      type: object
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations that can be performed on a `string` type
          example: IN
          enum:
            - IN
        value:
          type: array
          items:
            $ref: '#/components/schemas/subTypeValue'
    datetimeSearchOperation:
      type: object
      description: Date-time search
      anyOf:
        - $ref: '#/components/schemas/datetimeRangeOperation'
        - $ref: '#/components/schemas/datetimeInOperation'
        - $ref: '#/components/schemas/datetimeOperation'
    singleProductType:
      type: object
      description: Search products using single product type - variant, item, or bundle
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations that can be performed on a `string` type.
          example: EQUALS
          enum:
            - EQUALS
        value:
          $ref: '#/components/schemas/productType'
    multiProductType:
      type: object
      description: Search products using multiple product types - variant, item, and bundle
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations that can be performed on a `string` type.
          example: IN
          enum:
            - IN
        value:
          type: array
          items:
            $ref: '#/components/schemas/productType'
    singleStatusSearchSchema:
      type: object
      description: List of attributes that match the search based on single status
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations that can be performed on a single status type
          example: EQUALS
          enum:
            - EQUALS
        value:
          $ref: '#/components/schemas/status'
    productAttributeValueSearch:
      type: object
      description: Search criteria - attribute
      properties:
        attributeId:
          type: string
          description: 24-character system-generated attribute ID
          example: 507f1f77bcf86cd799439011
        attributeValue:
          type: array
          items:
            $ref: '#/components/schemas/productAttributeValueInfo'
    attributeSearchOperation:
      type: object
      description: >-
        Search for multiple attributes using a combination of `id` and `value`
        pairs.
      properties:
        id:
          type: string
          description: 24-character system-generated attribute ID
          example: 63a123070cf218e178efda30
        value:
          type: array
          description: Attribute value
          items:
            $ref: '#/components/schemas/attributeValueObject'
    simpleMultiStringSearchOperation:
      type: object
      description: Simple multi-string search
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Operations that can be performed on a `string` type
          example: IN
          enum:
            - IN
        value:
          type: array
          items:
            $ref: '#/components/schemas/stringSchema'
    simpleSingleStringSearchOperation:
      type: object
      description: Simple single string search
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Search operations that can be performed on a `string` type
          example: EQUALS
          enum:
            - EQUALS
        value:
          $ref: '#/components/schemas/stringSchema'
    singleStringSearchOperation:
      type: object
      description: Single string search
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Search operations that can be performed on a `string` type
          example: EQUALS
          enum:
            - EQUALS
            - CONTAINS
        value:
          $ref: '#/components/schemas/stringSchema'
    booleanSchema:
      type: boolean
      description: Sample boolean schema
      example: true
    targetValue:
      type: string
      description: >-
        A string in case of `EQUALS` operation and a comma-separated string in
        case of an `IN` operation
      example: PRODUCT
      enum:
        - PRODUCT
        - CATEGORY
    typeValue:
      type: string
      description: >-
        A string in case of  `EQUALS` operation and a comma- separated string in
        case of an `IN` operation
      example: TEXT
      enum:
        - TEXT
        - NUMBER
        - DATETIME
        - BOOLEAN
        - OPTIONS
        - SERIAL
    subTypeValue:
      type: string
      description: >-
        A string in case of a `EQUALS` operation and a comma-separated string in
        case of an `IN` operation
      example: SINGLE
      enum:
        - SINGLE
        - MULTIPLE
        - SMALL_TEXT
        - TEXT_AREA
        - HTML
    datetimeRangeOperation:
      type: object
      description: Date range search
      required:
        - op
        - fromValue
        - toValue
      properties:
        op:
          type: string
          description: Search operation performed on a date range
          example: RANGE
          enum:
            - RANGE
        fromValue:
          type: string
          description: Starting range (UTC)
          example: '2022-04-20T10:24:36.162Z'
        toValue:
          type: string
          description: Ending range (UTC)
          example: '2023-04-20T10:24:36.162Z'
    datetimeInOperation:
      type: object
      description: IN operation on date-time
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: >-
            Operations that can be performed on a `number` type such as equals,
            less than (LT), Greater than (GT), Less than or equal to (LTE),
            Greater than or equal to (GTE), etc.
          example: IN
          enum:
            - IN
        value:
          type: array
          items:
            type: string
            description: Timestamp to be searched (UTC)
            example: '2023-04-20T10:24:36.162Z'
    datetimeOperation:
      type: object
      description: Date-time search
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: >-
            Operations that can be performed on a `number` type such as equals,
            less than (LT), Greater than (GT), Less than or equal to (LTE),
            Greater than or equal to (GTE).
          example: GTE
          enum:
            - EQUALS
            - LTE
            - GTE
            - LT
            - GT
        value:
          type: string
          description: Timestamp to be searched (UTC)
          example: '2023-04-20T10:24:36.162Z'
    productType:
      type: string
      enum:
        - ITEM
        - VARIANT
        - BUNDLE
      example: ITEM
      description: Supported product types
    status:
      type: string
      description: Represents the current status of product
      enum:
        - DRAFT
        - LIVE
      example: LIVE
    productAttributeValueInfo:
      anyOf:
        - $ref: '#/components/schemas/localizedStringSearchOperation'
        - $ref: '#/components/schemas/booleanSearchOperation'
        - $ref: '#/components/schemas/numberSearchOperation'
    attributeValueObject:
      anyOf:
        - $ref: '#/components/schemas/localizedStringSearchOperation'
        - $ref: '#/components/schemas/booleanSearchOperation'
        - $ref: '#/components/schemas/numberSearchOperation'
    stringSchema:
      type: string
      description: Sample string schema
      example: blue
    localizedStringSearchOperation:
      allOf:
        - $ref: '#/components/schemas/advancedStringSearchOperation'
      type: object
      properties:
        locale:
          $ref: '#/components/schemas/locale'
    numberSearchOperation:
      type: object
      description: Number search
      anyOf:
        - $ref: '#/components/schemas/singleNumberSearchOperation'
        - $ref: '#/components/schemas/multiNumberSearchOperation'
    advancedStringSearchOperation:
      type: object
      description: Advanced string search
      anyOf:
        - $ref: '#/components/schemas/advancedMultiStringSearchOperation'
        - $ref: '#/components/schemas/advancedSingleStringSearchOperation'
    locale:
      type: string
      description: >-
        If `isLocalizable` is true, the search is based on the localized name in
        specified locales. If `isLocalizable` is false, the search is only based
        on the non-localized names.
      example: en-US
    singleNumberSearchOperation:
      type: object
      description: Single number search
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: >-
            Search operations that can be performed on a `number` type such as
            equals to, less than (LT), Greater than (GT), Less than or equal to
            (LTE), Greater than or equal to (GTE), etc.
          example: GTE
          enum:
            - EQUALS
            - LTE
            - GTE
            - LT
            - GT
        value:
          $ref: '#/components/schemas/doubleSchema'
    multiNumberSearchOperation:
      type: object
      description: Multiple numbers search
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: In operation on a `number`
          example: IN
          enum:
            - IN
        value:
          type: array
          items:
            $ref: '#/components/schemas/doubleSchema'
    advancedMultiStringSearchOperation:
      type: object
      description: Advanced multi-string search
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Search operations that can be performed on a `string` type
          example: IN
          enum:
            - IN
            - NOT_IN
        value:
          type: array
          items:
            $ref: '#/components/schemas/stringSchema'
    advancedSingleStringSearchOperation:
      type: object
      description: Advanced single-string search
      required:
        - op
        - value
      properties:
        op:
          type: string
          description: Search operations that can be performed on a `string` type
          example: EQUALS
          enum:
            - EQUALS
            - CONTAINS
            - NOT_EQUALS
        value:
          $ref: '#/components/schemas/stringSchema'
    doubleSchema:
      type: number
      format: double
      description: Sample double schema
      example: 1
  headers:
    x-fabric-request-id-header:
      description: Unique request ID
      schema:
        type: string
        example: 263e731c-45c8-11ed-b878-0242ac120002
  responses:
    badRequest:
      description: Request is invalid or malformed
      headers:
        x-fabric-request-id:
          $ref: '#/components/headers/x-fabric-request-id-header'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/genericError'
    notAuthorized:
      description: Requester is unauthorized
      headers:
        x-fabric-request-id:
          $ref: '#/components/headers/x-fabric-request-id-header'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/genericError'
          example:
            type: UNAUTHORIZED_ERROR
            message: Requester is unauthorized
    forbidden:
      description: User isn't allowed to perform the action
      headers:
        x-fabric-request-id:
          $ref: '#/components/headers/x-fabric-request-id-header'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/genericError'
          example:
            type: REQUEST_DENIED
            message: User doesn't have the required permission
    internalServerError:
      description: Internal server error
      headers:
        x-fabric-request-id:
          $ref: '#/components/headers/x-fabric-request-id-header'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/genericError'
          example:
            type: SERVER_ERROR
            message: Internal Server Error
  securitySchemes:
    authorization:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: S2S access token (JWT) from fabric Identity service (during login)

````